Lenovo T16 unable to wake up from sleep, screen blinking

Bug #1982679 reported by rustyx
52
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Confirmed
Undecided
Unassigned

Bug Description

Lenovo T16 Gen1 (2022), Intel Core i7-1270P (12 gen) integrated graphics.
Running Ubuntu 22.04 LTS.

Unable to wake up from sleep - the screen backlight is on, but the screen is solid black. After a while it starts randomly flashing with a login screen for about ~300ms and also each time I type a character.

Also the "reboot" command hangs.

Tried with both "Suspend-to-Idle" and "Linux S3" suspend settings in BIOS - same issue.

Not sure if relevant, but journal log contains these lines:

jul 24 08:59:07 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x92
jul 24 08:59:10 me7 systemd[1653]: <email address hidden>: State 'stop-sigterm' timed out. Killing.
jul 24 08:59:10 me7 systemd[1653]: <email address hidden>: Killing process 1908 (gnome-shell) with signal SIGKILL.
jul 24 08:59:10 me7 systemd[1653]: <email address hidden>: Killing process 9858 (pool-gnome-shel) with signal SIGKILL.
jul 24 08:59:12 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to write source OUI
jul 24 08:59:15 me7 systemd[1653]: <email address hidden>: Processes still around after SIGKILL. Ignoring.
jul 24 08:59:17 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* failed to enable link training
jul 24 08:59:20 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x60
jul 24 08:59:20 me7 systemd[1653]: <email address hidden>: State 'stop-post' timed out. Terminating.
jul 24 08:59:21 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x92
jul 24 08:59:23 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x60
jul 24 08:59:25 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to read DPCD register 0x92
jul 24 08:59:25 me7 systemd[1653]: <email address hidden>: State 'final-sigterm' timed out. Killing.
jul 24 08:59:25 me7 systemd[1653]: <email address hidden>: Killing process 1908 (gnome-shell) with signal SIGKILL.
jul 24 08:59:25 me7 systemd[1653]: <email address hidden>: Killing process 9858 (pool-gnome-shel) with signal SIGKILL.
jul 24 08:59:29 me7 kernel: i915 0000:00:02.0: [drm] *ERROR* Failed to write source OUI

ProblemType: Bug
DistroRelease: Ubuntu 22.04
Package: linux-image-5.15.0-41-generic 5.15.0-41.44
ProcVersionSignature: Ubuntu 5.15.0-41.44-generic 5.15.39
Uname: Linux 5.15.0-41-generic x86_64
ApportVersion: 2.20.11-0ubuntu82.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: me 1761 F.... pulseaudio
CRDA: N/A
CasperMD5CheckResult: pass
CurrentDesktop: ubuntu:GNOME
Date: Sun Jul 24 09:22:18 2022
InstallationDate: Installed on 2022-07-23 (0 days ago)
InstallationMedia: Ubuntu 22.04 LTS "Jammy Jellyfish" - Release amd64 (20220419)
MachineType: LENOVO 21BVCTO1WW
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.15.0-41-generic root=UUID=e7d73517-9423-4c2b-9ed8-92c32e2796e7 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.15.0-41-generic N/A
 linux-backports-modules-5.15.0-41-generic N/A
 linux-firmware 20220329.git681281e4-0ubuntu3.2
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 06/07/2022
dmi.bios.release: 1.2
dmi.bios.vendor: LENOVO
dmi.bios.version: N3MET05W (1.02 )
dmi.board.asset.tag: Not Available
dmi.board.name: 21BVCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: None
dmi.ec.firmware.release: 1.3
dmi.modalias: dmi:bvnLENOVO:bvrN3MET05W(1.02):bd06/07/2022:br1.2:efr1.3:svnLENOVO:pn21BVCTO1WW:pvrThinkPadT16Gen1:rvnLENOVO:rn21BVCTO1WW:rvrNotDefined:cvnLENOVO:ct10:cvrNone:skuLENOVO_MT_21BV_BU_Think_FM_ThinkPadT16Gen1:
dmi.product.family: ThinkPad T16 Gen 1
dmi.product.name: 21BVCTO1WW
dmi.product.sku: LENOVO_MT_21BV_BU_Think_FM_ThinkPad T16 Gen 1
dmi.product.version: ThinkPad T16 Gen 1
dmi.sys.vendor: LENOVO

Revision history for this message
rustyx (rustyx2) wrote :
Revision history for this message
rustyx (rustyx2) wrote (last edit ):

Attaching the entire journal log for the sleep/wakeup session.

Possibly relevant, an issue in i915_drm_suspend_late:

jul 24 08:56:56 me7 kernel: ------------[ cut here ]------------
jul 24 08:56:56 me7 kernel: i915 0000:00:02.0: i915 raw-wakerefs=1 wakelocks=1 on cleanup
jul 24 08:56:56 me7 kernel: WARNING: CPU: 8 PID: 9510 at drivers/gpu/drm/i915/intel_runtime_pm.c:635 intel_runtime_pm_driver_release+0x4e/0x60 [i915]
jul 24 08:56:56 me7 kernel: Workqueue: events_unbound async_run_entry_fn
jul 24 08:56:56 me7 kernel: RIP: 0010:intel_runtime_pm_driver_release+0x4e/0x60 [i915]
jul 24 08:56:56 me7 kernel: Code: 10 4c 8b 6f 50 4d 85 ed 75 03 4c 8b 2f e8 6a 82 40 e5 41 89 d8 44 89 e1 4c 89 ea 48 89 c6 48 c7 c7 38 0d c0 c0 e8 39 79 87 e5 <0f> 0b 5b 41 5c 41 5d 5d c3 66 0f 1f 84 00 00 00 00 00 0f 1f 44 00
jul 24 08:56:56 me7 kernel: RSP: 0018:ffffa5dd05147d20 EFLAGS: 00010282
jul 24 08:56:56 me7 kernel: RAX: 0000000000000000 RBX: 0000000000000001 RCX: 0000000000000027
jul 24 08:56:56 me7 kernel: RDX: ffff8ad97f620588 RSI: 0000000000000001 RDI: ffff8ad97f620580
jul 24 08:56:56 me7 kernel: RBP: ffffa5dd05147d38 R08: 000000000000003d R09: 0000000000000001
jul 24 08:56:56 me7 kernel: R10: 0000000000ffff0a R11: 0000000000000001 R12: 0000000000000001
jul 24 08:56:56 me7 kernel: R13: ffff8ad24232acd0 R14: ffff8ad24cd86bb0 R15: ffffffffa6c7a9c4
jul 24 08:56:56 me7 kernel: FS: 0000000000000000(0000) GS:ffff8ad97f600000(0000) knlGS:0000000000000000
jul 24 08:56:56 me7 kernel: CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
jul 24 08:56:56 me7 kernel: CR2: 00007f267537c718 CR3: 000000081d810005 CR4: 0000000000770ee0
jul 24 08:56:56 me7 kernel: PKRU: 55555554
jul 24 08:56:56 me7 kernel: Call Trace:
jul 24 08:56:56 me7 kernel: <TASK>
jul 24 08:56:56 me7 kernel: i915_drm_suspend_late+0xf2/0x110 [i915]
jul 24 08:56:56 me7 kernel: ? pci_pm_poweroff_late+0x40/0x40
jul 24 08:56:56 me7 kernel: i915_pm_suspend_late+0x1d/0x30 [i915]
jul 24 08:56:56 me7 kernel: pm_generic_suspend_late+0x28/0x30
jul 24 08:56:56 me7 kernel: pci_pm_suspend_late+0x37/0x40
jul 24 08:56:56 me7 kernel: dpm_run_callback+0x69/0x120
jul 24 08:56:56 me7 kernel: __device_suspend_late+0xc3/0x260
jul 24 08:56:56 me7 kernel: async_suspend_late+0x23/0x60
jul 24 08:56:56 me7 kernel: async_run_entry_fn+0x30/0x120
jul 24 08:56:56 me7 kernel: process_one_work+0x228/0x3d0
jul 24 08:56:56 me7 kernel: worker_thread+0x53/0x410
jul 24 08:56:56 me7 kernel: ? process_one_work+0x3d0/0x3d0
jul 24 08:56:56 me7 kernel: kthread+0x127/0x150
jul 24 08:56:56 me7 kernel: ? set_kthread_struct+0x50/0x50
jul 24 08:56:56 me7 kernel: ret_from_fork+0x1f/0x30
jul 24 08:56:56 me7 kernel: </TASK>
jul 24 08:56:56 me7 kernel: ---[ end trace a58578046499e834 ]---

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
AaronMa (mapengyu) wrote :

This is a known issue of new vbios, please wait for a new BIOS to fix it.

Revision history for this message
rustyx (rustyx2) wrote :

That's what I'm doing currently - using Windows for the time being. From personal experience I can say that the chance of something being fixed in BIOS is fairly low and can take a loong time.

But why would Lenovo want to release a new BIOS for this since it works flawlessly in Windows?

Perhaps a software fix in the i915 driver is possible?

Revision history for this message
Fela Maslen (felamaslen) wrote :

Can confirm this issue with my new T16 and I will be returning the laptop because of it. Useless product unless fixed.

Revision history for this message
Dimitris Moraitidis (dimisjim) wrote :

same issue here

Revision history for this message
AaronMa (mapengyu) wrote :

New BIOS should be released in several days.
Please wait for a while.

Revision history for this message
Fela Maslen (felamaslen) wrote :

New BIOS has been released but doesn't fix the issue.

Do we have an ETA for this?

Revision history for this message
AaronMa (mapengyu) wrote :

It should be fixed in 48W, but looks like it's delayed.

In the meanwhile, the potential fix:
https://patchwork.<email address hidden>

You may want to try it.

Revision history for this message
Dimitris Moraitidis (dimisjim) wrote :

>in 48W

what do you mean?

Revision history for this message
rustyx (rustyx2) wrote :

I think 48W is the suffix of the BIOS version, N3BET48W.

The new BIOS 1.25 released Aug 9 seems to contain 47W, and indeed does not fix the issue.

Also the patch did not help.

Revision history for this message
Dimitris Moraitidis (dimisjim) wrote :

$ sudo dmidecode -s bios-version
N3MET05W (1.02 )

$ sudo dmidecode -s bios-version
06/07/2022

hmm I have the BIOS version shown above, I guess I am lagging behind :sweat

Revision history for this message
rustyx (rustyx2) wrote :

N3MET... means you have a Nuvoton EC chip, it has a different version numbering, the latest one is N3MET06W. Check the README that comes with the BIOS update.

https://pcsupport.lenovo.com/ch/en/products/laptops-and-netbooks/thinkpad-t-series-laptops/thinkpad-t16-gen-1-type-21bv-21bw/downloads/driver-list/component?name=BIOS%2FUEFI

Revision history for this message
Erik Nilsson (kwiz99) wrote (last edit ):

I am having the exact same problems with Thinkpad T14 Gen3 Intel i7-1255U Running Arch on Kernel 5.18.16.

Machine:
  Type: Laptop System: LENOVO product: 21AHCTO1WW v: ThinkPad T14 Gen 3
  Mobo: LENOVO model: 21AHCTO1WW UEFI: LENOVO
    v: N3MET06W (1.03 ) date: 07/11/2022

As mentioned, it seems to be an issue with the BIOS:
https://forums.lenovo.com/t5/Other-Linux-Discussions/Thinkpad-T16-can-t-resume-from-suspend/m-p/5160642?page=1

Revision history for this message
Dimitris Moraitidis (dimisjim) wrote :

sleep issues seem to have been fixed using the N3MET08W update: https://fwupd.org/lvfs/devices/com.lenovo.ThinkPadN3MET.firmware

however touchpad is still affected and not fully fixed.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers